Bug 1240566

Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000010 [radeon]
Product: [Fedora] Fedora Reporter: Andreas Tunek <andreas.tunek>
Component: xorg-x11-drv-atiAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: bradfier, gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab, rhbugs, samuel-rhbugs, sebastien, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/341897a672bf4f270db041669944cd941d57b277
Whiteboard: abrt_hash:184a727d80efc463c1fac3d07f9d973bc61ec49c
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-04 19:06:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Andreas Tunek 2015-07-07 09:03:06 UTC
Description of problem:
Tried to boot.

Additional info:
reporter:       libreport-2.6.0
BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
IP: [<ffffffffa0225138>] radeon_audio_detect+0x108/0x150 [radeon]
PGD 25f854067 PUD 25f855067 PMD 0 
Oops: 0002 [#1] SMP 
Modules linked in: hid_apple amdkfd amd_iommu_v2 radeon 8021q garp stp llc mrp i2c_algo_bit drm_kms_helper ttm sdhci_pci tg3 sdhci drm mmc_core ptp pps_core
CPU: 1 PID: 315 Comm: plymouthd Not tainted 4.2.0-0.rc0.git4.1.fc23.x86_64 #1
Hardware name: Apple Inc. iMac15,1/Mac-42FD25EABCABB274, BIOS IM151.88Z.0207.B01.1411201235 11/20/2014
task: ffff88003fbc1f40 ti: ffff88025f85c000 task.ti: ffff88025f85c000
RIP: 0010:[<ffffffffa0225138>]  [<ffffffffa0225138>] radeon_audio_detect+0x108/0x150 [radeon]
RSP: 0018:ffff88025f85fb78  EFLAGS: 00010246
RAX: ffff88025f82357c RBX: ffff88025eaae000 RCX: 0000000000000006
RDX: 0000000000000000 RSI: ffff88003fbc3040 RDI: 0000000000000296
RBP: ffff88025f85fb98 R08: 0000000000000001 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: ffff88025f820000 R14: ffff88008c745e00 R15: ffff88008c744000
FS:  00007ff9ea117700(0000) GS:ffff880265e00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000010 CR3: 000000025f853000 CR4: 00000000001407e0
Stack:
 ffff88025eaae000 0000000000000001 ffff88003fa17620 ffff88025f820000
 ffff88025f85fbd8 ffffffffa016e106 ffff88025f85fbc8 ffff88025eaae050
 ffff88025eaae000 0000000000000001 ffff88003fa86000 0000000000000001
Call Trace:
 [<ffffffffa016e106>] radeon_dp_detect+0x1f6/0x290 [radeon]
 [<ffffffffa0120b65>] drm_helper_probe_single_connector_modes_merge_bits+0x235/0x4d0 [drm_kms_helper]
 [<ffffffffa00538bc>] ? drm_mode_getconnector+0x9c/0x410 [drm]
 [<ffffffffa0120e13>] drm_helper_probe_single_connector_modes+0x13/0x20 [drm_kms_helper]
 [<ffffffffa0053ba4>] drm_mode_getconnector+0x384/0x410 [drm]
 [<ffffffffa0044815>] drm_ioctl+0x125/0x640 [drm]
 [<ffffffff810e69bc>] ? local_clock+0x1c/0x20
 [<ffffffffa0053820>] ? drm_mode_getcrtc+0x150/0x150 [drm]
 [<ffffffff81104e9d>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffffa014604c>] radeon_drm_ioctl+0x4c/0x80 [radeon]
 [<ffffffff8128319e>] do_vfs_ioctl+0x2ee/0x550
 [<ffffffff8139d3db>] ? selinux_file_ioctl+0x5b/0xf0
 [<ffffffff81283479>] SyS_ioctl+0x79/0x90
 [<ffffffff8186c42e>] entry_SYSCALL_64_fastpath+0x12/0x76
Code: b8 02 00 00 4d 8b a6 00 01 00 00 48 8b 82 68 01 00 00 48 85 c0 74 47 48 8b 48 08 31 c0 48 85 c9 74 09 48 8b 02 48 8b 78 28 ff d1 <49> 89 44 24 10 49 8b 85 58 36 00 00 48 8b 40 10 48 85 c0 0f 84 
RIP  [<ffffffffa0225138>] radeon_audio_detect+0x108/0x150 [radeon]
 RSP <ffff88025f85fb78>
CR2: 0000000000000010

Comment 1 Andreas Tunek 2015-07-07 09:03:11 UTC
Created attachment 1049187 [details]
File: dmesg

Comment 2 Andreas Tunek 2015-07-07 09:04:52 UTC
Rawhide kernel on F22 system. Trying to debug 1236423

Comment 3 Andreas Tunek 2015-07-11 09:52:15 UTC
Also happens on  4.2.0-0.rc1.git2.1.fc23

Comment 4 Jan Kurik 2015-07-15 13:20:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Andreas Tunek 2015-07-21 19:48:04 UTC
Tried x86_64 4.2.0-0.rc2.git2.1.fc23, didn't work.

Comment 6 Andreas Tunek 2015-07-24 20:17:34 UTC
4.2.0-0.rc3.git2.1.fc24 didn't work.

Comment 7 Richard Bradfield 2015-07-24 21:03:37 UTC
As this bug looks to be present in the upstream Kernel radeon driver, can I suggest someone reports this to the FreeDesktop bugzilla at https://bugs.freedesktop.org

Once done you can link it back here.

Comment 8 Andreas Tunek 2015-07-25 07:42:18 UTC
 https://bugs.freedesktop.org/show_bug.cgi?id=91253

Comment 9 Richard Bradfield 2015-07-25 09:59:53 UTC
Andreas, have you been able to bisect as suggested by the upstream devs?

I attempted to reproduce this last night by building a vanilla 4.2-rc3 kernel and booting my workstation with a 6950 Radeon, but I was able to boot without problems. 

If you can isolate the problematic commit that would be very helpful.

Comment 10 Andreas Tunek 2015-08-04 19:06:10 UTC
Fixed in 4.2 rc5